<html>
<body>
Hello world!  Hi there
ee
<h2 th:text="${title}"></h2>
<p th:if="${error != null}" th:text="${error}" style="color: red"></p>
<p th:if="${error == null}" th:text="${result}" style="color: blue"></p>

<form method="post" action="/">
    <input type="text" name="name"  th:value="${result}"/>
    <button type="submit">Click me to post information</button>
</form>

</body>
</html>